- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks/create#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks/create#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks/create#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks/create#try-it)

Creates an `AdBreak` object.

Informs DAI of an upcoming ad break for a live stream event, with an optional expected start time. DAI will begin decisioning ads for the break shortly before the expected start time, if provided. Each live stream event can only have one incomplete ad break at any given time. The next ad break can be scheduled after the previous ad break has started serving, indicated by its state being `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks#AdBreak.AdBreakState.ENUM_VALUES.COMPLETE`, or it has been deleted.

This method cannot be used if the `LiveStreamEvent` has [prefetching ad breaks enabled](https://developers.google.com/ad-manager/api/reference/latest/LiveStreamEventService.LiveStreamEvent#prefetchenabled) or the event is not active. If a `LiveStreamEvent` is deactivated after creating an ad break and before the ad break is complete, the ad break is discarded.

An ad break's state is complete when the following occurs: - Full service DAI: after a matching ad break shows in the `LiveStreamEvent` manifest only when the ad break has started decisioning. - Pod Serving: after the ad break is requested using the ad break ID or break sequence.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/adBreaks`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this `AdBreak` will be created identified by an asset key or custom asset key. Formats: `networks/{networkCode}/liveStreamEventsByAssetKey/{assetKey}` `networks/{networkCode}/liveStreamEventsByCustomAssetKey/{customAssetKey}` |

### Request body

The request body contains an instance of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks#AdBreak`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.liveStreamEvents.adBreaks#AdBreak`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).